## org.bn.compiler.parser
Class ASNParser

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              org.bn.compiler.parser.ASNParser

All Implemented Interfaces:
  ASNTokenTypes

    public class ASNParser

extends antlr.LLkParser
implements ASNTokenTypes

Field Summary
`static java.lang.String[]` `_tokenNames`
`static antlr.collections.impl.BitSet` `_tokenSet_0`
`static antlr.collections.impl.BitSet` `_tokenSet_1`
`static antlr.collections.impl.BitSet` `_tokenSet_10`
`static antlr.collections.impl.BitSet` `_tokenSet_11`
`static antlr.collections.impl.BitSet` `_tokenSet_12`
`static antlr.collections.impl.BitSet` `_tokenSet_13`
`static antlr.collections.impl.BitSet` `_tokenSet_14`
`static antlr.collections.impl.BitSet` `_tokenSet_15`
`static antlr.collections.impl.BitSet` `_tokenSet_16`
`static antlr.collections.impl.BitSet` `_tokenSet_17`
`static antlr.collections.impl.BitSet` `_tokenSet_18`
`static antlr.collections.impl.BitSet` `_tokenSet_19`
`static antlr.collections.impl.BitSet` `_tokenSet_2`
`static antlr.collections.impl.BitSet` `_tokenSet_20`
`static antlr.collections.impl.BitSet` `_tokenSet_21`
`static antlr.collections.impl.BitSet` `_tokenSet_22`
`static antlr.collections.impl.BitSet` `_tokenSet_23`
`static antlr.collections.impl.BitSet` `_tokenSet_24`
`static antlr.collections.impl.BitSet` `_tokenSet_25`
`static antlr.collections.impl.BitSet` `_tokenSet_26`
`static antlr.collections.impl.BitSet` `_tokenSet_27`
`static antlr.collections.impl.BitSet` `_tokenSet_28`
`static antlr.collections.impl.BitSet` `_tokenSet_29`
`static antlr.collections.impl.BitSet` `_tokenSet_3`
`static antlr.collections.impl.BitSet` `_tokenSet_30`
`static antlr.collections.impl.BitSet` `_tokenSet_31`
`static antlr.collections.impl.BitSet` `_tokenSet_32`
`static antlr.collections.impl.BitSet` `_tokenSet_33`
`static antlr.collections.impl.BitSet` `_tokenSet_34`
`static antlr.collections.impl.BitSet` `_tokenSet_35`
`static antlr.collections.impl.BitSet` `_tokenSet_36`
`static antlr.collections.impl.BitSet` `_tokenSet_37`
`static antlr.collections.impl.BitSet` `_tokenSet_38`
`static antlr.collections.impl.BitSet` `_tokenSet_39`
`static antlr.collections.impl.BitSet` `_tokenSet_4`
`static antlr.collections.impl.BitSet` `_tokenSet_40`
`static antlr.collections.impl.BitSet` `_tokenSet_41`
`static antlr.collections.impl.BitSet` `_tokenSet_42`
`static antlr.collections.impl.BitSet` `_tokenSet_43`
`static antlr.collections.impl.BitSet` `_tokenSet_44`
`static antlr.collections.impl.BitSet` `_tokenSet_45`
`static antlr.collections.impl.BitSet` `_tokenSet_46`
`static antlr.collections.impl.BitSet` `_tokenSet_47`
`static antlr.collections.impl.BitSet` `_tokenSet_48`
`static antlr.collections.impl.BitSet` `_tokenSet_49`
`static antlr.collections.impl.BitSet` `_tokenSet_5`
`static antlr.collections.impl.BitSet` `_tokenSet_50`
`static antlr.collections.impl.BitSet` `_tokenSet_51`
`static antlr.collections.impl.BitSet` `_tokenSet_52`
`static antlr.collections.impl.BitSet` `_tokenSet_53`
`static antlr.collections.impl.BitSet` `_tokenSet_54`
`static antlr.collections.impl.BitSet` `_tokenSet_55`
`static antlr.collections.impl.BitSet` `_tokenSet_56`
`static antlr.collections.impl.BitSet` `_tokenSet_57`
`static antlr.collections.impl.BitSet` `_tokenSet_58`
`static antlr.collections.impl.BitSet` `_tokenSet_59`
`static antlr.collections.impl.BitSet` `_tokenSet_6`
`static antlr.collections.impl.BitSet` `_tokenSet_60`
`static antlr.collections.impl.BitSet` `_tokenSet_61`
`static antlr.collections.impl.BitSet` `_tokenSet_62`
`static antlr.collections.impl.BitSet` `_tokenSet_63`
`static antlr.collections.impl.BitSet` `_tokenSet_64`
`static antlr.collections.impl.BitSet` `_tokenSet_65`
`static antlr.collections.impl.BitSet` `_tokenSet_66`
`static antlr.collections.impl.BitSet` `_tokenSet_67`
`static antlr.collections.impl.BitSet` `_tokenSet_68`
`static antlr.collections.impl.BitSet` `_tokenSet_69`
`static antlr.collections.impl.BitSet` `_tokenSet_7`
`static antlr.collections.impl.BitSet` `_tokenSet_70`
`static antlr.collections.impl.BitSet` `_tokenSet_71`
`static antlr.collections.impl.BitSet` `_tokenSet_72`
`static antlr.collections.impl.BitSet` `_tokenSet_73`
`static antlr.collections.impl.BitSet` `_tokenSet_74`
`static antlr.collections.impl.BitSet` `_tokenSet_75`
`static antlr.collections.impl.BitSet` `_tokenSet_76`
`static antlr.collections.impl.BitSet` `_tokenSet_77`
`static antlr.collections.impl.BitSet` `_tokenSet_8`
`static antlr.collections.impl.BitSet` `_tokenSet_9`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface org.bn.compiler.parser.ASNTokenTypes

`ABSENT_KW, ABSTRACT_SYNTAX_KW, ALL, ALL_KW, ANY_KW, APPLICATION_KW, ARGUMENT_KW, ASSIGN_OP, AUTOMATIC_KW, B_OR_H_STRING, B_STRING, BAR, BASED_NUM_KW, BDIG, BEGIN_KW, BIT_KW, BMP_STR_KW, BOOLEAN_KW, BY_KW, C_STRING, CHARACTER_KW, CHARB, CHARH, CHOICE_KW, CLASS_KW, COLON, COMMA, COMMENT, COMPONENT_KW, COMPONENTS_KW, CONSTRAINED_KW, DEFAULT_KW, DEFINED_KW, DEFINITIONS_KW, DOT, DOTDOT, ELLIPSIS, EMBEDDED_KW, END_KW, ENUMERATED_KW, EOF, ERROR_KW, ERRORS_KW, EXCEPT, EXCEPT_KW, EXCLAMATION, EXPLICIT_KW, EXPORTS_KW, EXTENSIBILITY_KW, EXTERNAL_KW, FALSE_KW, FROM_KW, GENERAL_STR_KW, GENERALIZED_TIME_KW, GRAPHIC_STR_KW, H_STRING, HDIG, IA5_STRING_KW, IDENTIFIER_KW, IMPLICIT_KW, IMPLIED_KW, IMPORTS_KW, INCLUDES, INCLUDES_KW, INSTANCE_KW, INTEGER_KW, INTERSECTION, INTERSECTION_KW, ISO646_STR_KW, ISO646STRING_KW, L_BRACE, L_BRACKET, L_PAREN, LESS, LINKED_KW, LITERAL_ACCESS, LITERAL_ALGORITHM, LITERAL_BIND, LITERAL_DEFVAL, LITERAL_DESCRIPTION, LITERAL_ENCRYPTED, LITERAL_EXTENSION, LITERAL_EXTENSIONS, LITERAL_INDEX, LITERAL_MACRO, LITERAL_PORT, LITERAL_PROTECTED, LITERAL_REFERENCE, LITERAL_REFINE, LITERAL_SIGNATURE, LITERAL_SIGNED, LITERAL_STATUS, LITERAL_SYNTAX, LITERAL_TOKEN, LITERAL_UNBIND, LOWER, MAX_KW, MIN_KW, MINUS, MINUS_INFINITY_KW, NULL_KW, NULL_TREE_LOOKAHEAD, NUMBER, NUMERIC_STR_KW, OBJECT_DESCRIPTOR_KW, OBJECT_KW, OCTET_KW, OF_KW, OID_KW, OPERATION_KW, OPTIONAL_KW, PARAMETER_KW, PATTERN_KW, PDV_KW, PLUS, PLUS_INFINITY_KW, PRESENT_KW, PRINTABLE_STR_KW, PRIVATE_KW, R_BRACE, R_BRACKET, R_PAREN, REAL_KW, RELATIVE_KW, RESULT_KW, SEMI, SEQUENCE_KW, SET_KW, SINGLE_QUOTE, SIZE_KW, SL_COMMENT, STRING_KW, T61_STR_KW, TAGS_KW, TELETEX_STR_KW, TRUE_KW, TYPE_IDENTIFIER_KW, UNION_KW, UNIQUE_KW, UNIVERSAL_KW, UNIVERSAL_STR_KW, UPPER, UTC_TIME_KW, UTF8_STR_KW, VIDEOTEX_STR_KW, VISIBLE_STR_KW, WITH_KW, WS`

Constructor Summary
`` `ASNParser(antlr.ParserSharedInputState state)`
`` `ASNParser(antlr.TokenBuffer tokenBuf)`
`protected` `ASNParser(antlr.TokenBuffer tokenBuf, int k)`
`` `ASNParser(antlr.TokenStream lexer)`
`protected` `ASNParser(antlr.TokenStream lexer, int k)`

Method Summary
`java.lang.Object` `any_type()`
`void` `assignment(ASNModule module)`
`java.lang.Object` `bit_string_type()`
`java.lang.Object` `boolean_type()`
`java.lang.Object` `built_in_type()`
`void` `char_defs_list(AsnCharacterStringValue cstrval)`
`CharDef` `char_defs()`
`java.lang.String` `character_set()`
`java.lang.Object` `character_str_type()`
`java.lang.Object` `choice_type()`
`void` `choice_value(AsnValue value)`
`AsnClassNumber` `class_NUMBER()`
`java.lang.String` `clazz()`
`ConstraintElements` `constraint_elements()`
`AsnConstraint` `constraint()`
`void` `cstr_value(AsnValue value)`
`java.lang.Object` `defined_type()`
`protected AsnDefinedValue` `defined_value()`
`ElementSetSpec` `element_set_spec()`
`void` `element_set_specs(AsnConstraint cnstrnt)`
`AsnElementTypeList` `elementType_list()`
`AsnElementType` `elementType()`
`java.lang.Object` `embedded_type()`
`java.lang.Object` `enum_type()`
`java.lang.Object` `error_macro()`
`void` `exception_spec(AsnConstraint cnstrnt)`
`void` `exports(ASNModule module)`
`java.lang.Object` `external_type()`
`void` `id_list(AsnBitOrOctetStringValue bstrval)`
`void` `imports(ASNModule module)`
`java.lang.Object` `integer_type()`
`Intersection` `intersections()`
`void` `linkedOp_list(OperationMacro oper)`
`java.lang.String` `macroName()`
`java.lang.Object` `macros_type()`
`void` `module_body(ASNModule module)`
`void` `module_definition(ASNModule module)`
`AsnModuleIdentifier` `module_identifier()`
`NamedConstraint` `named_constraint()`
`AsnNamedValue` `named_value()`
`AsnNamedNumberList` `namedNumber_list()`
`AsnNamedNumber` `namedNumber()`
`java.lang.Object` `null_type()`
`AsnOidComponentList` `obj_id_comp_lst()`
`AsnOidComponent` `obj_id_component()`
`java.lang.Object` `object_identifier_type()`
`java.lang.Object` `objecttype_macro()`
`java.lang.Object` `octetString_type()`
`void` `operation_errorlist(OperationMacro oper)`
`java.lang.Object` `operation_macro()`
`java.lang.Object` `real_type()`
`java.lang.Object` `relativeOid_type()`
`java.lang.Object` `selection_type()`
`java.lang.Object` `sequence_type()`
`AsnSequenceValue` `sequence_value()`
`java.lang.Object` `sequenceof_type()`
`void` `sequenceof_value(AsnValue value)`
`java.lang.Object` `set_type()`
`java.lang.Object` `setof_type()`
`AsnSignedNumber` `signed_number()`
`java.util.ArrayList` `symbol_list()`
`java.lang.String` `symbol()`
`void` `symbols_from_module(ASNModule module)`
`java.lang.String` `tag_default()`
`AsnTag` `tag()`
`java.lang.Object` `tagged_type()`
`void` `tuple_or_quad(AsnCharacterStringValue cstrval)`
`void` `type_constraint_list(ConstraintElements cnsElem)`
`java.lang.Object` `type()`
`java.lang.Object` `typeorvalue()`
`void` `typeorvaluelist(ObjectType objtype)`
`void` `value_range(ConstraintElements cnsElem)`
`AsnValue` `value()`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser

`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final java.lang.String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

### _tokenSet_8

    public static final antlr.collections.impl.BitSet _tokenSet_8

### _tokenSet_9

    public static final antlr.collections.impl.BitSet _tokenSet_9

### _tokenSet_10

    public static final antlr.collections.impl.BitSet _tokenSet_10

### _tokenSet_11

    public static final antlr.collections.impl.BitSet _tokenSet_11

### _tokenSet_12

    public static final antlr.collections.impl.BitSet _tokenSet_12

### _tokenSet_13

    public static final antlr.collections.impl.BitSet _tokenSet_13

### _tokenSet_14

    public static final antlr.collections.impl.BitSet _tokenSet_14

### _tokenSet_15

    public static final antlr.collections.impl.BitSet _tokenSet_15

### _tokenSet_16

    public static final antlr.collections.impl.BitSet _tokenSet_16

### _tokenSet_17

    public static final antlr.collections.impl.BitSet _tokenSet_17

### _tokenSet_18

    public static final antlr.collections.impl.BitSet _tokenSet_18

### _tokenSet_19

    public static final antlr.collections.impl.BitSet _tokenSet_19

### _tokenSet_20

    public static final antlr.collections.impl.BitSet _tokenSet_20

### _tokenSet_21

    public static final antlr.collections.impl.BitSet _tokenSet_21

### _tokenSet_22

    public static final antlr.collections.impl.BitSet _tokenSet_22

### _tokenSet_23

    public static final antlr.collections.impl.BitSet _tokenSet_23

### _tokenSet_24

    public static final antlr.collections.impl.BitSet _tokenSet_24

### _tokenSet_25

    public static final antlr.collections.impl.BitSet _tokenSet_25

### _tokenSet_26

    public static final antlr.collections.impl.BitSet _tokenSet_26

### _tokenSet_27

    public static final antlr.collections.impl.BitSet _tokenSet_27

### _tokenSet_28

    public static final antlr.collections.impl.BitSet _tokenSet_28

### _tokenSet_29

    public static final antlr.collections.impl.BitSet _tokenSet_29

### _tokenSet_30

    public static final antlr.collections.impl.BitSet _tokenSet_30

### _tokenSet_31

    public static final antlr.collections.impl.BitSet _tokenSet_31

### _tokenSet_32

    public static final antlr.collections.impl.BitSet _tokenSet_32

### _tokenSet_33

    public static final antlr.collections.impl.BitSet _tokenSet_33

### _tokenSet_34

    public static final antlr.collections.impl.BitSet _tokenSet_34

### _tokenSet_35

    public static final antlr.collections.impl.BitSet _tokenSet_35

### _tokenSet_36

    public static final antlr.collections.impl.BitSet _tokenSet_36

### _tokenSet_37

    public static final antlr.collections.impl.BitSet _tokenSet_37

### _tokenSet_38

    public static final antlr.collections.impl.BitSet _tokenSet_38

### _tokenSet_39

    public static final antlr.collections.impl.BitSet _tokenSet_39

### _tokenSet_40

    public static final antlr.collections.impl.BitSet _tokenSet_40

### _tokenSet_41

    public static final antlr.collections.impl.BitSet _tokenSet_41

### _tokenSet_42

    public static final antlr.collections.impl.BitSet _tokenSet_42

### _tokenSet_43

    public static final antlr.collections.impl.BitSet _tokenSet_43

### _tokenSet_44

    public static final antlr.collections.impl.BitSet _tokenSet_44

### _tokenSet_45

    public static final antlr.collections.impl.BitSet _tokenSet_45

### _tokenSet_46

    public static final antlr.collections.impl.BitSet _tokenSet_46

### _tokenSet_47

    public static final antlr.collections.impl.BitSet _tokenSet_47

### _tokenSet_48

    public static final antlr.collections.impl.BitSet _tokenSet_48

### _tokenSet_49

    public static final antlr.collections.impl.BitSet _tokenSet_49

### _tokenSet_50

    public static final antlr.collections.impl.BitSet _tokenSet_50

### _tokenSet_51

    public static final antlr.collections.impl.BitSet _tokenSet_51

### _tokenSet_52

    public static final antlr.collections.impl.BitSet _tokenSet_52

### _tokenSet_53

    public static final antlr.collections.impl.BitSet _tokenSet_53

### _tokenSet_54

    public static final antlr.collections.impl.BitSet _tokenSet_54

### _tokenSet_55

    public static final antlr.collections.impl.BitSet _tokenSet_55

### _tokenSet_56

    public static final antlr.collections.impl.BitSet _tokenSet_56

### _tokenSet_57

    public static final antlr.collections.impl.BitSet _tokenSet_57

### _tokenSet_58

    public static final antlr.collections.impl.BitSet _tokenSet_58

### _tokenSet_59

    public static final antlr.collections.impl.BitSet _tokenSet_59

### _tokenSet_60

    public static final antlr.collections.impl.BitSet _tokenSet_60

### _tokenSet_61

    public static final antlr.collections.impl.BitSet _tokenSet_61

### _tokenSet_62

    public static final antlr.collections.impl.BitSet _tokenSet_62

### _tokenSet_63

    public static final antlr.collections.impl.BitSet _tokenSet_63

### _tokenSet_64

    public static final antlr.collections.impl.BitSet _tokenSet_64

### _tokenSet_65

    public static final antlr.collections.impl.BitSet _tokenSet_65

### _tokenSet_66

    public static final antlr.collections.impl.BitSet _tokenSet_66

### _tokenSet_67

    public static final antlr.collections.impl.BitSet _tokenSet_67

### _tokenSet_68

    public static final antlr.collections.impl.BitSet _tokenSet_68

### _tokenSet_69

    public static final antlr.collections.impl.BitSet _tokenSet_69

### _tokenSet_70

    public static final antlr.collections.impl.BitSet _tokenSet_70

### _tokenSet_71

    public static final antlr.collections.impl.BitSet _tokenSet_71

### _tokenSet_72

    public static final antlr.collections.impl.BitSet _tokenSet_72

### _tokenSet_73

    public static final antlr.collections.impl.BitSet _tokenSet_73

### _tokenSet_74

    public static final antlr.collections.impl.BitSet _tokenSet_74

### _tokenSet_75

    public static final antlr.collections.impl.BitSet _tokenSet_75

### _tokenSet_76

    public static final antlr.collections.impl.BitSet _tokenSet_76

### _tokenSet_77

    public static final antlr.collections.impl.BitSet _tokenSet_77

Constructor Detail

### ASNParser

    protected ASNParser(antlr.TokenBuffer tokenBuf,
                        int k)

### ASNParser

    public ASNParser(antlr.TokenBuffer tokenBuf)

### ASNParser

    protected ASNParser(antlr.TokenStream lexer,
                        int k)

### ASNParser

    public ASNParser(antlr.TokenStream lexer)

### ASNParser

    public ASNParser(antlr.ParserSharedInputState state)

Method Detail

### module_definition

    public final void module_definition(ASNModule module)
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### module_identifier

    public final AsnModuleIdentifier module_identifier()
                                                throws antlr.RecognitionException,
                                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### module_body

    public final void module_body(ASNModule module)
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### obj_id_comp_lst

    public final AsnOidComponentList obj_id_comp_lst()
                                              throws antlr.RecognitionException,
                                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### defined_value

    protected final AsnDefinedValue defined_value()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### obj_id_component

    public final AsnOidComponent obj_id_component()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### tag_default

    public final java.lang.String tag_default()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### exports

    public final void exports(ASNModule module)
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### imports

    public final void imports(ASNModule module)
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### assignment

    public final void assignment(ASNModule module)
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### symbol_list

    public final java.util.ArrayList symbol_list()
                                          throws antlr.RecognitionException,
                                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### symbols_from_module

    public final void symbols_from_module(ASNModule module)
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### symbol

    public final java.lang.String symbol()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### macroName

    public final java.lang.String macroName()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### type

    public final java.lang.Object type()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### value

    public final AsnValue value()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### built_in_type

    public final java.lang.Object built_in_type()
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### defined_type

    public final java.lang.Object defined_type()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### selection_type

    public final java.lang.Object selection_type()
                                          throws antlr.RecognitionException,
                                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### macros_type

    public final java.lang.Object macros_type()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### any_type

    public final java.lang.Object any_type()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### bit_string_type

    public final java.lang.Object bit_string_type()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### boolean_type

    public final java.lang.Object boolean_type()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### character_str_type

    public final java.lang.Object character_str_type()
                                              throws antlr.RecognitionException,
                                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### choice_type

    public final java.lang.Object choice_type()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### embedded_type

    public final java.lang.Object embedded_type()
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### enum_type

    public final java.lang.Object enum_type()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### external_type

    public final java.lang.Object external_type()
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### integer_type

    public final java.lang.Object integer_type()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### null_type

    public final java.lang.Object null_type()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### object_identifier_type

    public final java.lang.Object object_identifier_type()
                                                  throws antlr.RecognitionException,
                                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### octetString_type

    public final java.lang.Object octetString_type()
                                            throws antlr.RecognitionException,
                                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### real_type

    public final java.lang.Object real_type()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### relativeOid_type

    public final java.lang.Object relativeOid_type()
                                            throws antlr.RecognitionException,
                                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### sequence_type

    public final java.lang.Object sequence_type()
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### sequenceof_type

    public final java.lang.Object sequenceof_type()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### set_type

    public final java.lang.Object set_type()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### setof_type

    public final java.lang.Object setof_type()
                                      throws antlr.RecognitionException,
                                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### tagged_type

    public final java.lang.Object tagged_type()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### namedNumber_list

    public final AsnNamedNumberList namedNumber_list()
                                              throws antlr.RecognitionException,
                                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### constraint

    public final AsnConstraint constraint()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### character_set

    public final java.lang.String character_set()
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### elementType_list

    public final AsnElementTypeList elementType_list()
                                              throws antlr.RecognitionException,
                                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### tag

    public final AsnTag tag()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### clazz

    public final java.lang.String clazz()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### class_NUMBER

    public final AsnClassNumber class_NUMBER()
                                      throws antlr.RecognitionException,
                                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### operation_macro

    public final java.lang.Object operation_macro()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### error_macro

    public final java.lang.Object error_macro()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### objecttype_macro

    public final java.lang.Object objecttype_macro()
                                            throws antlr.RecognitionException,
                                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### operation_errorlist

    public final void operation_errorlist(OperationMacro oper)
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### linkedOp_list

    public final void linkedOp_list(OperationMacro oper)
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeorvalue

    public final java.lang.Object typeorvalue()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeorvaluelist

    public final void typeorvaluelist(ObjectType objtype)
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### elementType

    public final AsnElementType elementType()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### namedNumber

    public final AsnNamedNumber namedNumber()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### signed_number

    public final AsnSignedNumber signed_number()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### element_set_specs

    public final void element_set_specs(AsnConstraint cnstrnt)
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### exception_spec

    public final void exception_spec(AsnConstraint cnstrnt)
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### element_set_spec

    public final ElementSetSpec element_set_spec()
                                          throws antlr.RecognitionException,
                                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### intersections

    public final Intersection intersections()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### constraint_elements

    public final ConstraintElements constraint_elements()
                                                 throws antlr.RecognitionException,
                                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### value_range

    public final void value_range(ConstraintElements cnsElem)
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### type_constraint_list

    public final void type_constraint_list(ConstraintElements cnsElem)
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### named_constraint

    public final NamedConstraint named_constraint()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### choice_value

    public final void choice_value(AsnValue value)
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### sequence_value

    public final AsnSequenceValue sequence_value()
                                          throws antlr.RecognitionException,
                                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### sequenceof_value

    public final void sequenceof_value(AsnValue value)
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### cstr_value

    public final void cstr_value(AsnValue value)
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### id_list

    public final void id_list(AsnBitOrOctetStringValue bstrval)
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### char_defs_list

    public final void char_defs_list(AsnCharacterStringValue cstrval)
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### tuple_or_quad

    public final void tuple_or_quad(AsnCharacterStringValue cstrval)
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### char_defs

    public final CharDef char_defs()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### named_value

    public final AsnNamedValue named_value()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`